Subject: Re: Fwd: Comments in /etc/passwd don't get updated

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 17 Dec 2021 05:02:15 +0100

Hi,

Am Donnerstag, dem 16.12.2021 um 07:00 +0000 schrieb Jacob First:
> In my Guix system's /etc/passwd file, my user named "abc" has a
> comment attached to it. The relevant line is:
> 
>     abc:x:1000:998:Old
> Comment:/home/jkf:/gnu/store/71yp1p06jy2j96bfdz43f4p6ncdym5a1-zsh-
> 5.8/bin/zsh
> 
> Today the users section of my current config.scm looks like this:
> 
>     (users (cons* (user-account
>                     (name "abc")
>                     (group "users")
>                     (comment "New Comment")
>                     (supplementary-groups '("wheel"
>                                             "netdev"
>                                             "audio"
>                                             "video"
>                                             "disk"
>                                             "cdrom"
>                                             "docker"
>                                             "libvirt"
>                                             "kvm"))
>                     (shell #~(string-append #$zsh "/bin/zsh")))
>                    %base-user-accounts))
> 
> After I apply this configuration with `guix system reconfigure', I
> expect /etc/passwd to have been updated with "New Comment" in place
> of "Old Comment". However, "Old Comment" remains.
> 
> Similarly, if I omit the `comment' field entirely, I expect my user
> comment to be removed from /etc/passwd, since the default value of
> the `comment' field is documented to be an empty string (manual
> 10.6). Again, the old comment remains.
> 
> I am reporting this on a recent Guix version cev9c6c5, but have
> noticed this issue for a year at least.
What if you were to temporarily change your login shell to let's say
bash?  IIRC, Guix is quite lazy when it comes to updating these values,
but a change in the shell ought to get them revised.  I think the
reason behind it is that it doesn't want to lock you out by messing
with the password field, but that's a little unrelated here.

Cheers